package domain

type AlibabaHmMarketingDiscountItemAddAsyncLimitInfo struct {
	/*
	   用户总限购     */
	UserLimitCnt *int64 `json:"user_limit_cnt,omitempty" `

	/*
	   用户每日限购     */
	UserDailyLimitCnt *int64 `json:"user_daily_limit_cnt,omitempty" `

	/*
	   每日总限购     */
	DailyLimitCnt *int64 `json:"daily_limit_cnt,omitempty" `

	/*
	   总限购     */
	TotalLimitCnt *int64 `json:"total_limit_cnt,omitempty" `
}

func (s *AlibabaHmMarketingDiscountItemAddAsyncLimitInfo) SetUserLimitCnt(v int64) *AlibabaHmMarketingDiscountItemAddAsyncLimitInfo {
	s.UserLimitCnt = &v
	return s
}
func (s *AlibabaHmMarketingDiscountItemAddAsyncLimitInfo) SetUserDailyLimitCnt(v int64) *AlibabaHmMarketingDiscountItemAddAsyncLimitInfo {
	s.UserDailyLimitCnt = &v
	return s
}
func (s *AlibabaHmMarketingDiscountItemAddAsyncLimitInfo) SetDailyLimitCnt(v int64) *AlibabaHmMarketingDiscountItemAddAsyncLimitInfo {
	s.DailyLimitCnt = &v
	return s
}
func (s *AlibabaHmMarketingDiscountItemAddAsyncLimitInfo) SetTotalLimitCnt(v int64) *AlibabaHmMarketingDiscountItemAddAsyncLimitInfo {
	s.TotalLimitCnt = &v
	return s
}
